<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->
<div class="text-block openk-drag-element">

  <div class="text-block--title-bar">
    <span class="text-block--title-bar--title">
      <ng-container *ngIf="appTextBlockModel?.type === 'block'">
        {{'textBlocks.textBlock' | translate}}
      </ng-container>
      {{appTextBlockModel | getHistoryBlockTitle | translate}}
    </span>
  </div>

  <div class="text-block--text">
    <span>{{appTextBlockModel?.text}}</span>
  </div>
</div>
